Skip to main content
POST
/
action
/
company_research_v2_get_status
[CR2] Get Report Status
curl --request POST \
  --url https://api-lr.agent.ai/v1/action/company_research_v2_get_status \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "report_id": "{{research_result.report_id}}",
  "output_variable_name": "report_status"
}
'
{
  "status": 123,
  "response": {}
}

Authorizations

Authorization
string
header
required

Bearer token from your account (https://agent.ai/user/integrations#api)

Body

application/json
report_id
string
default:{{research_result.report_id}}
required

UUID of the report to check. Usually {{research_result.report_id}}.

output_variable_name
string
default:report_status
required

Variable name for the status result. Check {{report_status.is_complete}}.

Pattern: ^[a-zA-Z][a-zA-Z0-9_]*$

Response

Successful response

status
integer<int32>

HTTP status code of the action response

response
object

Response data from the action